# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Dependency.pm) perl(Algorithm/Dependency/Source/HoA.pm) perl(Carp.pm) perl(Class/Singleton.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Devel/AssertOS.pm) perl(Devel/CheckOS.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Find/Rule.pm) perl(File/Path.pm) perl(File/Slurp.pm) perl(File/Sync.pm) perl(File/stat.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Run.pm) perl(Modern/Perl.pm) perl(Module/Build.pm) perl(POSIX.pm) perl(Readonly.pm) perl(Template.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/RequiresInternet.pm) perl(YAML/XS.pm) perl(autodie.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Container-Buildah
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.1
Release: alt3
Summary: wrapper around containers/buildah tool for multi-stage builds of OCI/Docker-compatible Linux contai...
Group: Development/Perl
License: apache
URL: https://github.com/ikluft/Container-Buildah

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IK/IKLUFT/%{module_name}-%{version}.tar.gz

%description
Container::Buildah allows Perl scripts to build OCI/Docker-compatible container images using the Open Source
*buildah* command. Containers may be pipelined so the product of a build stage is consumed by one or more others.

The Container::Buildah module grew out of a wrapper script to run code inside the user namespace of a
container under construction. That remains the core of its purpose. It simplifies rootless builds of containers.

Container::Buildah may be used to write a script to configure container build stages.
The configuration of each build stage contains a reference to a callback function which will run inside the
user namespace of the container in order to build it.
The function is analagous to a Dockerfile, except that it's programmable with access to computation and the system.

The *buildah* command has subcommands equivalent to Dockerfile directives.
For each stage of a container build, Container::Buildah creates a Container::Buildah::Stage object
and passes it to the callback function for that stage.
There are wrapper methods in Container::Buildah::Stage for
subcommands of buildah which take a container name as a parameter.

The Container::Buildah module has one singleton instance per program.
It contains configuration data for a container build process.
The data is similar to what would be in a Dockerfile, except this module makes it scriptable.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE examples
%perl_vendor_privlib/C*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.3.1-alt3
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.3.1-alt2
- rebuild with perl 5.34.0

* Wed Oct 07 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1
- initial import by package builder

